id path parameter.Invoice object plus optional InvoiceItem, Payment, etc.); an Estimate object is also accepted in place of Invoice. Send the fields you want to change. The id from the path is always applied.404 when no estimate matches the id. Requires permission to edit estimates (a non-owner may edit only estimates they created or are the sales person for, and only with the edit permission). See Add New Invoice for the full field reference.curl --location --globoff --request PUT 'https://.daftra.com/api2/estimates/4012.json' \
--header 'Accept: application/json' \
--header 'apikey: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"Invoice": {
"client_id": 15,
"date": "2026-06-25",
"currency_code": "USD",
"store_id": 0,
"draft": true,
"notes": "string"
},
"InvoiceItem": [
{
"item": "Consulting service",
"unit_price": 100,
"quantity": 2,
"product_id": 12
}
]
}'{
"result": "successful",
"code": 200
}